user       www www; 
worker_processes  2;
error_log  logs/error.log;
pid        logs/nginx.pid;
events {
        worker_connections  1024;
}
http {
		log_format main '$remote_addr - $remote_user [$time_local] '
                '"$request" $status $body_bytes_sent "$http_referer" '
                '"$http_user_agent" "$http_x_forwarded_for"';

		# You do not need HTTP authentication information and Refer information for the static files !
		log_format static_main '$remote_addr [$time_local] '
						'"$request" $status $body_bytes_sent
						'"$http_user_agent";

		# You do not need to know about the bytes sent in an error logging case
		log_format error_main '$remote_addr - $remote_user [$time_local] '
						'"$request" $status "$http_user_agent";

        include       mime.types;
        default_type  application/octet-stream;
        gzip on;
        gzip_min_length 5000;
        gzip_buffers    4 8k;
        gzip_types text/plain text/html text/css application/x-javascript text/xml application/xml application/xml+rss text/javascript;
        gzip_proxied  any;
        gzip_comp_level 2;
        ignore_invalid_headers  on;
		server {
		   listen 80;
		   server_name example1.com;
		   error_log var/log/nginx/example1_error.log error_main; 
		   location / {
				root /var/www/www.example1.com/deployment/;
				access_log /var/log/nginx/example1_main.log main;
			}
			location /static/ {
				root /var/www/www.example1.com/deployment/static/;
				access_log /var/log/nginx/example1_static.log static_main;
			}
		}

}
